// app/api/streaming/route.js

export async function GET(request) {
  const readable = new ReadableStream({
    async start(controller) {
      // 第一块数据
      controller.enqueue("Hello,\n");

      // 模拟延迟并逐步发送数据块
      const encoder = new TextEncoder();
      
      for (let i = 0; i < 5; i++) {
        await new Promise((resolve) => setTimeout(resolve, 1000));
        controller.enqueue(
          encoder.encode(
            i == 4 ? "End" : `This is a streaming response part ${i + 1}.\n`
          )
        );
      }

      // 关闭流
      controller.close();
    },
  });

  return new Response(readable, {
    headers: {
      "Content-Type": "text/plain",
      "Transfer-Encoding": "chunked",
    },
  });
}
